-----BEGIN PGP SIGNED MESSAGE-----

===========================================================================
             AUSCERT External Security Bulletin Redistribution

            ESB-2001.168 -- Debian Security Advisory DSA 051-1
                 netscape unexpected javascript execution
                               26 April 2001

===========================================================================

        AusCERT Security Bulletin Summary
        ---------------------------------

Product:                netscape
Vendor:                 Debian
Operating System:       Debian GNU/Linux 2.2
                        Linux
Platform:               Intel
Impact:                 Read-only Data Access
Access Required:        Remote

- --------------------------BEGIN INCLUDED TEXT--------------------

- -----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

- - ----------------------------------------------------------------------------
Debian Security Advisory DSA 051-1                       security@debian.org
http://www.debian.org/security/                               Martin Schulze
April 23, 2001
- - ----------------------------------------------------------------------------

Package        : netscape
Vulnerability  : unexpected javascript execution
Problem-Type   : remote information gathering
Debian-specific: no

Florian Wesch has discovered a problem (reported to bugtraq) with the
way how Netscape handles comments in GIF files.  The Netscape browser
does not escape the GIF file comment in the image information page.
This allows javascript execution in the "about:" protocol and can for
example be used to upload the History (about:global) to a webserver,
thus leaking private information.  This problem has been fixed
upstream in Netscape 4.77.  Since we haven't received sourcecode for
these packages they are not part of the Debian GNU/Linux distribution
but are packaged up as `.deb' files for a convenient installation.

We recommend that you upgrade your Netscape packages immediately and
remove older versions.

wget url
	will fetch the file for you
dpkg -i file.deb
        will install the referenced file.

If you are using the apt-get package manager, use the line for
sources.list as given below:

apt-get update
        will update the internal database
apt-get install netscape
        will install the new netscape packages

You may use an automated update by adding the resources from the
footer to the proper configuration.


Debian GNU/Linux 2.2 alias potato
- - ------------------------------------

  Potato was released for the alpha, arm, i386, m68k, powerpc and
  sparc architectures.  Netscape, however, is only available for the
  intel ia32 architecture.


  Source archives:

    http://security.debian.org/dists/stable/updates/contrib/source/netscape4.base_4.77-1.tar.gz
      MD5 checksum: 443f1d654d499f8e62cede1c1b941dd6
    http://security.debian.org/dists/stable/updates/contrib/source/netscape4.base_4.77-1.dsc
      MD5 checksum: f6b6b49a3a65885cb75957aba91ed93b
    http://security.debian.org/dists/stable/updates/main/source/netscape4.77_4.77-2.dsc
      MD5 checksum: f2a101417000e86ae18d2141a923e2dc
    http://security.debian.org/dists/stable/updates/main/source/netscape4.77_4.77-2.diff.gz
      MD5 checksum: 21b128f3619a98e5a7f7e57320bc5964

  Architecture independent:

    http://security.debian.org/dists/stable/updates/non-free/binary-all/netscape-ja-resource-477_4.77-2_all.deb
      MD5 checksum: cff3dc5d24df436632e0c1dc92ceff2c
    http://security.debian.org/dists/stable/updates/non-free/binary-all/netscape-java-477_4.77-2_all.deb
      MD5 checksum: bddae3d1510b7f68de8e8f75c7682d05
    http://security.debian.org/dists/stable/updates/non-free/binary-all/netscape-ko-resource-477_4.77-2_all.deb
      MD5 checksum: 389dd4d9ecbb70c3ea1e733cf0951a20
    http://security.debian.org/dists/stable/updates/non-free/binary-all/netscape-zh-resource-477_4.77-2_all.deb
      MD5 checksum: 80934ce5eb228e4177d4ffd6c528bded
    http://security.debian.org/dists/stable/updates/non-free/binary-all/navigator-nethelp-477_4.77-2_all.deb
      MD5 checksum: 98283871e97a81f77685b512534190d9
    http://security.debian.org/dists/stable/updates/non-free/binary-all/communicator-nethelp-477_4.77-2_all.deb
      MD5 checksum: 5f4f17e5d21c223bfeee1e9a39fbc6ea
    http://security.debian.org/dists/stable/updates/non-free/binary-all/communicator-spellchk-477_4.77-2_all.deb
      MD5 checksum: 1f09a094490933e871188db7dd9de254

  Intel ia32 architecture:

    http://security.debian.org/dists/stable/updates/contrib/binary-i386/netscape_4.77-1_i386.deb
      MD5 checksum: 446efd08a5a016ba168577a73e0f5dd7
    http://security.debian.org/dists/stable/updates/contrib/binary-i386/netscape-base-4-libc5_4.77-1_i386.deb
      MD5 checksum: 10ce35972a99467b5ddb6222c3144f03
    http://security.debian.org/dists/stable/updates/contrib/binary-i386/netscape-base-4_4.77-1_i386.deb
      MD5 checksum: af7235095bbf22fedc8d7a3c792498e4
    http://security.debian.org/dists/stable/updates/contrib/binary-i386/navigator_4.77-1_i386.deb
      MD5 checksum: c88a2ee263fd1544dec7e54418bf5a8c
    http://security.debian.org/dists/stable/updates/contrib/binary-i386/communicator_4.77-1_i386.deb
      MD5 checksum: 40d3290ba54f62bd093e684e94655c40
    http://security.debian.org/dists/stable/updates/main/binary-i386/netscape-base-477_4.77-2_i386.deb
      MD5 checksum: 0baf86bf2e8e91d36c10dbae7ca989b6
    http://security.debian.org/dists/stable/updates/main/binary-i386/netscape-smotif-477_4.77-2_i386.deb
      MD5 checksum: 77543de59ed335d3d6be6f5e317d5936
    http://security.debian.org/dists/stable/updates/non-free/binary-i386/netscape-base-477_4.77-2_i386.deb
      MD5 checksum: 0baf86bf2e8e91d36c10dbae7ca989b6
    http://security.debian.org/dists/stable/updates/non-free/binary-i386/navigator-base-477_4.77-2_i386.deb
      MD5 checksum: 129f397e5ac2e9c912ca0628f067ea83
    http://security.debian.org/dists/stable/updates/non-free/binary-i386/navigator-smotif-477_4.77-2_i386.deb
      MD5 checksum: 76be767df47355cd44f980074b7ad6d1
    http://security.debian.org/dists/stable/updates/non-free/binary-i386/communicator-base-477_4.77-2_i386.deb
      MD5 checksum: 2d0ea8d65435883e7ac68642bc7e6742
    http://security.debian.org/dists/stable/updates/non-free/binary-i386/communicator-smotif-477_4.77-2_i386.deb
      MD5 checksum: 46909f1d6f010e578fc2adddcfa60fa7


  These files will be moved into the stable distribution on its next
  revision.

For not yet released architectures please refer to the appropriate
directory ftp://ftp.debian.org/debian/dists/sid/binary-$arch/ .

- - ----------------------------------------------------------------------------
For apt-get: deb http://security.debian.org/ stable/updates main
For dpkg-ftp: ftp://security.debian.org/debian-security dists/stable/updates/main
Mailing list: debian-security-announce@lists.debian.org
Package info: `apt-cache show <pkg>' and http://packages.debian.org/<pkg>

- -----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.4 (GNU/Linux)
Comment: For info see http://www.gnupg.org

iD8DBQE64/zMW5ql+IAeqTIRAuZhAJ9Bu7mh2CrWPaPISZBcuffS7S36oACeJRnY
ZkOKTeAr6mjvw40xdEpnbhg=
=BSOf
- -----END PGP SIGNATURE-----

- --------------------------END INCLUDED TEXT--------------------

This security bulletin is provided as a service to AusCERT's members.  As
AusCERT did not write the document quoted above, AusCERT has had no control
over its content.  The decision to use any or all of this information is
the responsibility of each user or organisation, and should be done so in
accordance with site policies and procedures.

NOTE: This is only the original release of the security bulletin.  It may
not be updated when updates to the original are made.  If downloading at
a later date, it is recommended that the bulletin is retrieved directly
from the original authors to ensure that the information is still current.

Contact information for the authors of the original document is included
in the Security Bulletin above.  If you have any questions or need further
information, please contact them directly.

Previous advisories and external security bulletins can be retrieved from:

	http://www.auscert.org.au/Information/advisories.html

If you believe that your system has been compromised, contact AusCERT or
your representative in FIRST (Forum of Incident Response and Security
Teams).

Internet Email: auscert@auscert.org.au
Facsimile:	(07) 3365 7031
Telephone:	(07) 3365 4417 (International: +61 7 3365 4417)
		AusCERT personnel answer during Queensland business hours
		which are GMT+10:00 (AEST).
		On call after hours for emergencies.

-----BEGIN PGP SIGNATURE-----
Version: 2.6.3i
Charset: noconv
Comment: ftp://ftp.auscert.org.au/pub/auscert/AUSCERT_PGP.key

iQCVAwUBOug4lCh9+71yA2DNAQFHiQP+JknxKP3P8sLvSfitomvPooVwhtQbzmtP
GGJ88ZTEmvKMll6HiTfmt8/42UYOZJXiBhOMW7xasXHOxtr7Nx096Bop3XH15qzs
QMl8kUqKhzjI5dBuSSk01geTrjjYYX8TYDw73lH9wUemM8xY1A4Jmd+3ft7M8AQY
Mxi+tM1QoJ8=
=RsfC
-----END PGP SIGNATURE-----